package com.hz.pm.api.meeting.entity.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * ExpertJudgeEnum
 * </p>
 *
 * @author WendyYang
 * @since 2023/8/3
 **/
public class ExpertJudgeEnum {

    private ExpertJudgeEnum() {
    }

    @Getter
    @AllArgsConstructor
    public enum AttendStatus {
        ON_TIME(1, "准时"),
        BE_LATE(2, "迟到"),
        ABSENT(3, "缺席");

        private final Integer code;
        private final String value;

        public boolean eq(Integer code) {
            return this.code.equals(code);
        }
    }

    @Getter
    @AllArgsConstructor
    public enum Performance {

        POSITIVE(1, "积极"),
        NEGATIVE(2, "消极");

        private final Integer code;
        private final String value;

        public boolean eq(Integer code) {
            return this.code.equals(code);
        }
    }

}
